Subject: Re: [apps-discuss] Apps Area review of draft-allen-dispatch-imei-urn-as-instanceid-10

From: Andrew Allen <[email-masked]>
Date: Mon, 16 Sep 2013 23:04:03 +0000

Tim

Thank you for the review

My responses inline below prepended with [AA]. There are still some comments that I still need further clarification on.

Regards
Andrew

From: Tim Bray [mailto:[email-masked]]
Sent: Tuesday, August 13, 2013 9:32 PM
To: [email-masked]; [email-masked]; The IESG
Subject: Apps Area review of draft-allen-dispatch-imei-urn-as-instanceid-10

I have been selected as the Applications Area Directorate reviewer for this draft (for background on appsdir, please see http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).

Please resolve these comments along with any other Last Call comments you may receive. Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document: draft-allen-dispatch-imei-urn-as-instanceid-10
Title: Using the International Mobile station Equipment Identity(IMEI)URN as an Instance ID
Reviewer: Tim Bray
Review Date: August 13

Summary: The document needs a certain amount of editorial polishing, and the issues raised on the IETF mailing list need to be considered by the IESG. That aside, the description of the usage of the IMEI URN seems OK.

Major Issues: The discussion on the ietf@ mailing list is included here by reference.
[AA] These comments I have responded to in previous emails. The revision will address those comments
Minor Issues: In section 3, The quality of the English is sufficiently bad as to make the section hard to read and understand.  It is severely in need of more commas and paragraph breaks.
[AA] This will be improved
Nits:

Abstract:

“an RFC (from the IETF stream)” is a little ambiguous, there are multiple IETF streams

[AA] this is a quotation of a requirement from RFC 5626 which this draft attempts to fulfill.

The acronym “UA” is never defined. User-Agent?

[AA] Yes User Agent – I will make sure this is also defined.

Section 1.

s/sub namespace/sub-namespace/
[AA] OK I will correct this for consistency

“URN as per RFC 2141” standardize RFC cite syntax
[AA] I am not sure what you meant by this comment. Please advise.

“so that registrar can recognize that the contacts”
- what registrar? Not defined. Oh wait... is the ref to RFC 5626 enough?
- s/registrar/the registrar/
[AA] This is defined in RFC 3261. I will be sure that reference is referred to when mentioning registrar

“RFC 5626 [1] defines that a UA SHOULD” - s/defines/specifies/ or /requires/
[AA] will change to requires

“other URN schemes to be used” s/to be used//

[AA] I am not sure what is the issue here. Please revise.

“outbound behavior and” - comma before “and”
[AA] Again this is a quote from RFC 5626

“The GSMA IMEI URN is a namespace for the IMEI a globally unique identifier” - there’s something broken in this sentence.  Do you mean this is a URN namespace?  URNs normally aren’t namespaces in and of themselves, so some more explanation is required.
[AA] Would The GSMA IMEI is a URN for the IMEI be better?
Section 5.

“other than equal to 0” - s/equal to//

“The UAC MUST provide lexically equivalent URNs in each registration” - the term “lexically equivalent” is probably underspecified; see Section 6 of RFC3986. If you mean “character-by-character identical” you should probably say so (and I suspect you do).
[AA] OK will change to character-by-character identical as proposed.

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.